Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.compara.driver
Interface MemberAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface MemberAdaptor
extends Adaptor

I am associated with the compara-analyses

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`Member` | `fetch(long internalID)`
`java.util.List` | `fetch(java.lang.String querySpeciesName, Location queryLocation, java.lang.String hitSpeciesName)` Fetches gene-level homology feature pairs given location on one chromosomes.
`java.util.List` | `fetch(java.lang.String querySpeciesName, Location queryLocation, java.lang.String hitSpeciesName, Location hitLocation)` Fetches gene-level homology feature pairs given locations on two chromosomes.
`java.util.List` | `fetch(java.lang.String querySpeciesName, java.lang.String[] stableIds, java.lang.String hitSpeciesName)` Fetches gene-level homology feature pairs given an input list of stableids
`java.util.List` | `fetch(java.lang.String species1, java.lang.String species2, java.lang.String chromosome)` Fetches chromosome-level homology feature pairs for query species, query chromosome and target species.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public Member fetch(long internalID)
                 throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(java.lang.String querySpeciesName,
                                Location queryLocation,
                                java.lang.String hitSpeciesName,
                                Location hitLocation)
                         throws AdaptorException

  Fetches gene-level homology feature pairs given locations on two chromosomes.

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(java.lang.String querySpeciesName,
                                Location queryLocation,
                                java.lang.String hitSpeciesName)
                         throws AdaptorException

  Fetches gene-level homology feature pairs given location on one chromosomes.

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(java.lang.String querySpeciesName,
                                java.lang.String[] stableIds,
                                java.lang.String hitSpeciesName)
                         throws AdaptorException

  Fetches gene-level homology feature pairs given an input list of stableids

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(java.lang.String species1,
                                java.lang.String species2,
                                java.lang.String chromosome)
                         throws AdaptorException

  Fetches chromosome-level homology feature pairs for query species, query chromosome and target species.

  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD